
/* gvSIG. Sistema de Informacin Geogrfica de la Generalitat Valenciana
*
* Copyright (C) 2004 IVER T.I. and Generalitat Valenciana.
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
*
* For more information, contact:
*
*  Generalitat Valenciana
*   Conselleria d'Infraestructures i Transport
*   Av. Blasco Ibez, 50
*   46010 VALENCIA
*   SPAIN
*
*      +34 963862235
*   gvsig@gva.es
*      www.gvsig.gva.es
*
*    or
*
*   IVER T.I. S.A
*   Salamanca 50
*   46005 Valencia
*   Spain
*
*   +34 963163400
*   dac@iver.es
*/
package es.gva.cit.gazetteer.wfsg.parsers;

/**
 * This class is use like a structure. It saves what protocol is
 * supported by each WFS-G operation. Each attribute is an array that
 * can contain next values: GET, POST or SOAP
 * 
 * 
 * @author Jorge Piera Llodra (piera_jor@gva.es)
 */
public class WfsgProtocolsOperations {

/**
 * 
 * 
 */
    private String[] getCapabilities = null;

/**
 * 
 * 
 */
    private String[] describeFeatureType = null;

/**
 * 
 * 
 */
    private String[] getFeature = null;

/**
 * 
 * 
 * 
 * @return Returns the describeFeatureType.
 */
    public String[] getDescribeFeatureType() {        
        return describeFeatureType;
    } 

/**
 * 
 * 
 * 
 * @param describeFeatureType The describeFeatureType to set.
 */
    public void setDescribeFeatureType(String[] describeFeatureType) {        
        this.describeFeatureType = describeFeatureType;
    } 

/**
 * 
 * 
 * 
 * @return Returns the getCapabilities.
 */
    public String[] getGetCapabilities() {        
        return getCapabilities;
    } 

/**
 * 
 * 
 * 
 * @param getCapabilities The getCapabilities to set.
 */
    public void setGetCapabilities(String[] getCapabilities) {        
        this.getCapabilities = getCapabilities;
    } 

/**
 * 
 * 
 * 
 * @return Returns the getFeature.
 */
    public String[] getGetFeature() {        
        return getFeature;
    } 

/**
 * 
 * 
 * 
 * @param getFeature The getFeature to set.
 */
    public void setGetFeature(String[] getFeature) {        
        this.getFeature = getFeature;
    } 
 }
