package org.gvsig.rasterTools.saveRaster.ui.info;

import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class EndInfoPanel extends JPanel {

	private JPanel pFile = null;
	private JPanel pTime = null;
	private JPanel pButtons = null;
	private JLabel lTimeTag = null;
	private JButton jButton = null;
	private JPanel pCompression = null;
	private JLabel lFileNameTag = null;
	private JLabel lSize = null;
	private JLabel lSizeTag = null;
	private JLabel lTime = null;
	private JLabel lCompressTag = null;
	private JLabel lCompress = null;
	private JPanel jPanel = null;
	private JPanel pMain = null;
	private JLabel lFile = null;
	/**
	 * This is the default constructor
	 */
	public EndInfoPanel() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		GridBagConstraints gridBagConstraints4 = new GridBagConstraints();
		gridBagConstraints4.gridx = 0;
		gridBagConstraints4.gridy = 0;
		GridBagConstraints gridBagConstraints2 = new GridBagConstraints();
		gridBagConstraints2.gridx = 0;
		gridBagConstraints2.gridy = 1;
		this.setLayout(new GridBagLayout());
		this.setSize(482, 130);
		this.setPreferredSize(new java.awt.Dimension(472,75));
		this.add(getJPanel12(), gridBagConstraints4);
		this.add(getJPanel2(), gridBagConstraints2);
	}

	/**
	 * This method initializes jPanel	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel() {
		if (pFile == null) {
			lFile = new JLabel();
			lFile.setText("");
			lFile.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 12));
			lFile.setPreferredSize(new java.awt.Dimension(410,15));
			FlowLayout flowLayout = new FlowLayout();
			flowLayout.setAlignment(java.awt.FlowLayout.LEFT);
			flowLayout.setHgap(5);
			pFile = new JPanel();
			pFile.setLayout(flowLayout);
			pFile.setPreferredSize(new java.awt.Dimension(472,25));
			lFileNameTag = new JLabel();
			lFileNameTag.setText("File:");
			pFile.add(lFileNameTag, null);
			pFile.add(lFile, null);
		}
		return pFile;
	}

	/**
	 * This method initializes jPanel1	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel1() {
		if (pTime == null) {
			lTime = new JLabel();
			lTime.setText("");
			lTime.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 12));
			lTime.setPreferredSize(new java.awt.Dimension(170,15));
			lSizeTag = new JLabel();
			lSizeTag.setText("Size: ");
			FlowLayout flowLayout1 = new FlowLayout();
			flowLayout1.setAlignment(java.awt.FlowLayout.LEFT);
			flowLayout1.setHgap(5);
			lSize = new JLabel();
			lSize.setText("");
			lSize.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 12));
			lSize.setPreferredSize(new java.awt.Dimension(170,15));
			lTimeTag = new JLabel();
			lTimeTag.setText("Time:");
			pTime = new JPanel();
			pTime.setLayout(flowLayout1);
			pTime.setPreferredSize(new java.awt.Dimension(472,25));
			pTime.add(lTimeTag, null);
			pTime.add(lTime, null);
			pTime.add(lSizeTag, null);
			pTime.add(lSize, null);
		}
		return pTime;
	}

	/**
	 * This method initializes jPanel2	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel2() {
		if (pButtons == null) {
			FlowLayout flowLayout2 = new FlowLayout();
			flowLayout2.setAlignment(java.awt.FlowLayout.RIGHT);
			flowLayout2.setHgap(15);
			pButtons = new JPanel();
			pButtons.setLayout(flowLayout2);
			pButtons.setPreferredSize(new java.awt.Dimension(472,30));
			pButtons.add(getBAccept(), null);
		}
		return pButtons;
	}

	/**
	 * This method initializes jButton	
	 * 	
	 * @return javax.swing.JButton	
	 */
	public JButton getBAccept() {
		if (jButton == null) {
			jButton = new JButton();
			jButton.setText("Aceptar");
		}
		return jButton;
	}

	/**
	 * This method initializes jPanel	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel3() {
		if (pCompression == null) {
			FlowLayout flowLayout3 = new FlowLayout();
			flowLayout3.setAlignment(java.awt.FlowLayout.LEFT);
			flowLayout3.setHgap(5);
			lCompress = new JLabel();
			lCompress.setText("");
			lCompress.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 12));
			lCompress.setPreferredSize(new java.awt.Dimension(50,15));
			lCompressTag = new JLabel();
			lCompressTag.setText("Compression:");
			pCompression = new JPanel();
			pCompression.setLayout(flowLayout3);
			pCompression.setPreferredSize(new java.awt.Dimension(472,25));
			pCompression.add(lCompressTag, null);
			pCompression.add(lCompress, null);
		}
		return pCompression;
	}

	/**
	 * This method initializes jPanel	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel4() {
		if (jPanel == null) {
			jPanel = new JPanel();
			jPanel.setPreferredSize(new java.awt.Dimension(472,0));
		}
		return jPanel;
	}
	
	/**
	 * This method initializes jPanel1	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel12() {
		if (pMain == null) {
			GridBagConstraints gridBagConstraints = new GridBagConstraints();
			gridBagConstraints.gridx = 0;
			gridBagConstraints.gridy = 0;
			GridBagConstraints gridBagConstraints1 = new GridBagConstraints();
			gridBagConstraints1.gridx = 0;
			gridBagConstraints1.gridy = 1;
			GridBagConstraints gridBagConstraints3 = new GridBagConstraints();
			gridBagConstraints3.gridx = 0;
			gridBagConstraints3.gridy = 3;
			GridBagConstraints gridBagConstraints11 = new GridBagConstraints();
			gridBagConstraints11.gridx = 0;
			gridBagConstraints11.gridy = 2;
			pMain = new JPanel();
			pMain.setLayout(new GridBagLayout());
			pMain.setBorder(javax.swing.BorderFactory.createTitledBorder(javax.swing.BorderFactory.createLineBorder(java.awt.Color.gray,1), "Estadisticas", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, null, null));
			pMain.setPreferredSize(new java.awt.Dimension(482,100));
			pMain.add(getJPanel4(), gridBagConstraints3);
			pMain.add(getJPanel3(), gridBagConstraints11);
			pMain.add(getJPanel1(), gridBagConstraints1);
			pMain.add(getJPanel(), gridBagConstraints);
		}
		return pMain;
	}
	
	//---------------------------

	protected JLabel getLCompressTag() {
		return lCompressTag;
	}

	protected JLabel getLFileNameTag() {
		return lFileNameTag;
	}

	protected JLabel getLSizeTag() {
		return lSizeTag;
	}

	protected JLabel getLTimeTag() {
		return lTimeTag;
	}

	public JLabel getLCompress() {
		return lCompress;
	}

	public void setFileName(String fileName) {
		lFile.setText(fileName);
	}

	/**
	 * Asigna el tamao del fichero que ha sido salvado. Se pasa como parmetro el
	 * tamao en bytes y esta funcin se encarga de parsearlo en bytes, Kilobytes, 
	 * Megabytes y Gigabytes mostrandolo como cadena.
	 * @param size Longitud en bytes.
	 */
	public void setSize(long size) {
		int bytes = (int)size, kBytes = 0, mBytes = 0, gBytes = 0;
		if(size >= 1024){
			kBytes = (int)(size / 1024);
			bytes = (int)(size - (kBytes * 1024));
			if(kBytes >= 1024){
				mBytes = (int)(kBytes / 1024);
				kBytes = (int)(kBytes - (mBytes * 1024));
				if(mBytes >= 1024){
					gBytes = (int)(mBytes / 1024);
					mBytes = (int)(mBytes - (gBytes * 1024));
				}
			}
		}
		StringBuffer s = new StringBuffer();
		if(gBytes != 0)
			s.append(gBytes+"GB ");
		if(mBytes != 0)
			s.append(mBytes+"MB ");
		if(kBytes != 0)
			s.append(kBytes+"KB ");
		if(bytes != 0)
			s.append(bytes+"B ");
		lSize.setText(s.toString());	
	}

	/**
	 * Asigna el tiempo que ha tardado para la compresin en milisegundos.
	 * Esta funcin se encarga de parsearlo en dias, horas, minutos y segundos.
	 * @param time Tiempo en milisegundos
	 */
	public void setTime(long time){
		int days = 0, hours = 0, minuts = 0, seconds = (int)(time / 1000D);
		if(seconds >= 60){
			minuts = (int)(seconds / 60);
			seconds = (int)(seconds - (minuts * 60));
			if(minuts >= 60){
				hours = (int)(minuts / 1024);
				minuts = (int)(minuts - (hours * 60));
			}
		}
		StringBuffer s = new StringBuffer();
		if(hours != 0)
			s.append(hours+" H ");
		if(minuts != 0)
			s.append(minuts+" Min ");
		if(seconds != 0)
			s.append(seconds+" Sec ");
		lTime.setText(s.toString());
	}
		
	/**
	 *
	 * @param comp
	 */
	public void setCompression(boolean comp){
		if(comp)
			lCompress.setText("Yes");
		else
			lCompress.setText("No");
	}

}  //  @jve:decl-index=0:visual-constraint="10,10"
