package com.hardcode.driverManager;

/**
 * Interfaz que debe ser implementada por todos l
 *
 * @author Fernando Gonzlez Corts
 */
public interface Driver {
    /**
     * Debe devolver un objeto que se asociar en el manager al driver. El
     * DriverManager recibir peticiones de un objeto y deber devolver el
     * driver asociado
     *
     * @return Objeto asociado al driver. Se recomienda que sea un String
     */
    public String getName();
}
