package org.agil.core.spatialindex;

/**
 *  Statistics.java Created: Sun Dec 24 21:32:18 2000
 *
 *@author     Marios Hadjieleftheriou
 *@version    2
 */
public class Statistics {
	/**
	 *  Description of the Field
	 */
	protected long reads = 0;
	/**
	 *  Description of the Field
	 */
	protected long writes = 0;
	/**
	 *  Description of the Field
	 */
	protected long splits = 0;
	/**
	 *  Description of the Field
	 */
	protected long hits = 0;
	/**
	 *  Description of the Field
	 */
	protected long misses = 0;
	/**
	 *  Description of the Field
	 */
	protected long pages = 0;


	/**
	 *  Creates an exact copy of this object.
	 *
	 *@return    Description of the Returned Value
	 */
	public Object clone() {
		Statistics s = new Statistics();
		s.reads = reads;
		s.writes = writes;
		s.splits = splits;
		s.hits = hits;
		s.misses = misses;
		s.pages = pages;
		return s;
	}


	/**
	 *  Converts to a String representation of the object.
	 *
	 *@return    A string representation of the object.
	 */
	public String toString() {
		return "Reads: " + reads + "\nWrites: " + writes + "\nSplits: " + splits + "\nHits: " + hits + "\nMisses: " + misses + "\nNew pages: " + pages;
	}


	/**
	 *  Reset everything to zero.
	 */
	protected void reset() {
		reads = 0;
		writes = 0;
		splits = 0;
		hits = 0;
		misses = 0;
		pages = 0;
	}
}
// Statistics
