package com.iver.cit.gvsig.jdbc_spatial.gui.jdbcwizard;

import java.awt.BorderLayout;

import javax.swing.DefaultListModel;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JScrollPane;

import com.iver.andami.PluginServices;
/**
 * @author Fernando Gonzlez Corts
 */
public class UniqueFieldSelection extends JPanel {

	private JLabel jLabel = null;
	private JScrollPane jScrollPane = null;
	private JList lstFields = null;
	private WizardJDBC w;
    private JPanel jPanel = null;  //  @jve:decl-index=0:visual-constraint="312,136"
    private JPanel jPanel1 = null;  //  @jve:decl-index=0:visual-constraint="2,118"
	/**
	 * This is the default constructor
	 */
	public UniqueFieldSelection() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private  void initialize() {
		jLabel = new JLabel();
		this.setLayout(new BorderLayout());
		this.setSize(300, 226);
		jLabel.setText(PluginServices.getText(this, "select_unique_field")+":");
		jLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
		jLabel.setPreferredSize(new java.awt.Dimension(315,15));
		this.add(getJPanel(), java.awt.BorderLayout.EAST);
		this.add(getJScrollPane(), java.awt.BorderLayout.CENTER);
		this.add(getJPanel1(), java.awt.BorderLayout.WEST);
		this.add(jLabel, java.awt.BorderLayout.NORTH);
		this.add(getJScrollPane(), null);
	}
	/**
	 * This method initializes jScrollPane	
	 * 	
	 * @return javax.swing.JScrollPane	
	 */    
	private JScrollPane getJScrollPane() {
		if (jScrollPane == null) {
			jScrollPane = new JScrollPane();
			jScrollPane.setViewportView(getLstFields());
			jScrollPane.setPreferredSize(new java.awt.Dimension(260,131));
		}
		return jScrollPane;
	}
	/**
	 * This method initializes jList	
	 * 	
	 * @return javax.swing.JList	
	 */    
	private JList getLstFields() {
		if (lstFields == null) {
			lstFields = new JList();
			lstFields.addListSelectionListener(new javax.swing.event.ListSelectionListener() { 
				public void valueChanged(javax.swing.event.ListSelectionEvent e) {    
					w.callStateChanged(lstFields.getSelectedIndices().length > 0);
				}
			});
		}
		return lstFields;
	}
	public void setWizard(WizardJDBC w) {
		this.w = w;
	}
	
	/**
	 * @param fields
	 */
	public void setFields(String[] fields) {
		DefaultListModel model = new DefaultListModel();
		for (int i = 0; i < fields.length; i++) {
			model.addElement(fields[i]);
		}
		
		lstFields.setModel(model);
	}
	
	public String getField(){
		return (String) getLstFields().getSelectedValue();
	}
    /**
     * This method initializes jPanel	
     * 	
     * @return javax.swing.JPanel	
     */    
    private JPanel getJPanel() {
    	if (jPanel == null) {
    		jPanel = new JPanel();
    		jPanel.setSize(77, 60);
    		jPanel.setPreferredSize(new java.awt.Dimension(80,10));
    	}
    	return jPanel;
    }
    /**
     * This method initializes jPanel1	
     * 	
     * @return javax.swing.JPanel	
     */    
    private JPanel getJPanel1() {
    	if (jPanel1 == null) {
    		jPanel1 = new JPanel();
    		jPanel1.setSize(37, 71);
    		jPanel1.setPreferredSize(new java.awt.Dimension(80,10));
    	}
    	return jPanel1;
    }
}  //  @jve:decl-index=0:visual-constraint="10,10"
